import React from "react";
import ProductItem from "../ProductDetails/ProductItem";
import WareHouseItem from "../ProductDetails/WarehouseItem";
import ProductWareHouse from "../ProductDetails/ProductWareHouse";
import useLanguage from "../../hooks/useLanguage";

function ProductSupplierList({ sellers, activeWarehouse = true }) {
  const language = useLanguage();
  return (
    <div className="border border-[#F8EBFF] rounded-md w-full h-fit ">
      <div className=" rounded-t-sm bg-primary-200 bg-opacity-5 py-2 px-[22px] flex justify-between border-b border-primary-200">
        <p className=" text-dark-300 text-base notranslate">
          {language["Total Suppliers"]}:{" "}
          <span className=" text-primary-200 font-bold">{sellers?.length}</span>
        </p>
        <p className=" text-dark-300 text-base notranslate">
          {language["Price"]}
        </p>
      </div>
      <div>
        {activeWarehouse
          ? sellers?.map((seller) =>
              seller?.ware_house_qty > 1 ? (
                <WareHouseItem key={seller?.id} sellers={seller} />
              ) : (
                <ProductItem key={seller?.id} seller={seller} />
              )
            )
          : sellers?.map((seller) =>
              seller?.ware_houses?.map((items) => (
                <ProductWareHouse key={seller?.id} seller={items} />
              ))
            )}
      </div>
      {/* <div className=" py-[14px] px-[22px]">
        <p className=" text-sm text-primary-200">12 More Suppliers</p>
      </div> */}
    </div>
  );
}

export default ProductSupplierList;
